/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'*                         Copyright (c) 2004-2005 by
'*                              Welch Allyn Inc.
'*                            All rights reserved
'****************************************************************************
'****************************************************************************
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// CWACPSemaphore.h :                                                //
'**  '// Version        :   1.00                                           //
'**  '// Language       :   C                                              //
'**  '// Application    :   WACP                                           //
'**  '// Sources        :   MOMP Standard Library                          //
'**  '///////////////////////////////////////////////////////////////////////
'*-E************************************************************************/

#if !defined(CWACPSEMAPHORE_H)
    #define  CWACPSEMAPHORE_H

#include "StdVarTyp.h"

#include <process.h>
#include <windows.h>

typedef struct CWACPSemaphore
{
    HANDLE  hHandle;
}CWACPSemaphore;

void    CWACPSemaphore_Init(CWACPSemaphore *pObject, const char *pName, uint16 InitCount, uint16 MaxCount);
void    CWACPSemaphore_Destroy(CWACPSemaphore *pObject);

void    CWACPSemaphore_Raise(const CWACPSemaphore *pObject);
uint32  CWACPSemaphore_Wait(const CWACPSemaphore *pObject, uint32 Timeout);

#endif /* #if !defined(CWACPSEMAPHORE_H) */



