/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'*                         Copyright (c) 2004 by
'*                              Welch Allyn Inc.
'*                            All rights reserved
'****************************************************************************
'****************************************************************************
'**
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// CFmFlash.h     :                                                  //
'**  '// version        :   1.0                                            //
'**  '// Language       :   C                                              //
'**  '// Development    :   Windows 2000 PentiumIII 500Mhz                 //
'**  '// Application    :   WACP                                           //
'**  '// Authors        :   Welch Allyn Inc. MedR&D                        //
'**  '// Sources        :   COOA                                           //
'**  '///////////////////////////////////////////////////////////////////////
'*-E************************************************************************/
#if !defined(CFMFLASH_H)
#define CFMFLASH_H

typedef enum FLASHCCMDtypSPECIES{
    FLASH_CCMD_SpWRITE_SEGMENT,
    FLASH_CCMD_SpERASE_SECTOR,
    FLASH_CCMD_SpENABLE_FLASH,
    FLASH_CCMD_SpDISABLE_FLASH,
    FLASH_CCMD_SpMAX
} FLASH_CCMD_SPECIES;

typedef enum FLASHCRSTtypSPECIES{
    FLASH_CRST_SpGET_CRC,
    FLASH_CRST_SpGET_SEGMENT,
    FLASH_CRST_SpGET_FLASH_CONFIG,
    FLASH_CRST_SpGET_SECTOR_CONFIG,
    FLASH_CRST_SpMAX
} FLASH_CRST_SPECIES;

typedef enum FLASHCRSPtypSPECIES{
    FLASH_CRSP_SpPUT_CRC,
    FLASH_CRSP_SpPUT_SEGMENT,
    FLASH_CRSP_SpPUT_FLASH_CONFIG,
    FLASH_CRSP_SpPUT_SECTOR_CONFIG,
    FLASH_CRSP_SpMAX
} FLASH_CRSP_SPECIES;

#endif /* CFMFLASH_H */
