/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'*                         Copyright (c) 2004 by
'*                              Welch Allyn Inc.
'*                            All rights reserved
'****************************************************************************
'****************************************************************************
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// SysUtil.h      :                                                  //
'**  '// version        :   1.0                                            //
'**  '// Language       :   C                                              //
'**  '// Development    :   Windows 2000 PentiumIII 500Mhz                 //
'**  '// Application    :   DTP                                            //
'**  '// Authors        :   Welch Allyn Inc. MedR&D                        //
'**  '// Sources        :   COOA                                           //
'**  '///////////////////////////////////////////////////////////////////////
'*-E************************************************************************/
#if !defined(SYSUTIL_H)
    #define  SYSUTIL_H

/*
 * Abstraction for OS sleep / delay /pause functions.
 *
 * Suspend current process/thread/task for a specified time.
 */

void sys_sleep(unsigned long msecs);

#define SYS_SLEEP(A)    sys_sleep(A)


#define byte_SIZE    1
#define uint8_SIZE   1
#define int8_SIZE    1
#define boolean_SIZE 1
#define uint16_SIZE  2
#define int16_SIZE   2
#define uint32_SIZE  4
#define int32_SIZE   4
#define int_SIZE sizeof(int)

#define SIZEOF(type) type##_SIZE

#endif  /* #if !defined(SYSUTIL_H) */
