/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'*                         Copyright (c) 2004-2005 by
'*                              Welch Allyn Inc.
'*                            All rights reserved
'****************************************************************************
'****************************************************************************
'**
'**  
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// CEncryption.h:                                                    //
'**  '// Version        :   1.00                                           //
'**  '// Language       :   C                                              //
'**  '// Application    :   WACP                                           //
'**  '// Sources        :   MOMP Standard Library                          //
'**  '///////////////////////////////////////////////////////////////////////
'*-E************************************************************************/

#if !defined(CENCRYPTION_H)
    #define  CENCRYPTION_H

#include "Target.h"
#if defined(ENCRYPTION_ON)

#include "AESCrypt.h"
#include "StdVarTyp.h"

#define AES_KEY_BITS 128
#define AES_ENCRYPTION_KEY_SIZE 16

void ChunkAESEncrypt(uint8* Key, const uint8* Plaintext, uint8* Ciphertext, uint32 MsgLen);
void ChunkAESDecrypt(uint8* Key, const uint8* CipherText, uint8* PlainText, uint32 MsgLen);

#endif /* #if defined(ENCRYPTION_ON) */

#endif /* #if !defined(CENCRYPTION_H) */

/*---------------------------------------------------*/
/* End of File */


