/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'*                         Copyright (c) 2004-2005 by
'*                              Welch Allyn Inc.
'*                            All rights reserved
'****************************************************************************
'****************************************************************************
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// CWACPMutex.h   :                                                  //
'**  '// Version        :   1.00                                           //
'**  '// Language       :   C                                              //
'**  '// Application    :   WACP                                           //
'**  '// Sources        :   MOMP Standard Library                          //
'**  '///////////////////////////////////////////////////////////////////////
'*-E************************************************************************/

#if !defined(CWACPMUTEX_H)
    #define  CWACPMUTEX_H

#include "StdVarTyp.h"
#include <windows.h>

typedef struct CWACPMutex
{
    HANDLE  hHandle;
}CWACPMutex;


void    CWACPMutex_Init(CWACPMutex *pObject, const char *pName);
void    CWACPMutex_Destroy(CWACPMutex *pObject);
uint32  CWACPMutex_Lock(const CWACPMutex *pObject, uint32 Timeout);
boolean CWACPMutex_Release(const CWACPMutex *pObject);

#endif  /* #if !defined(CWACPMUTEX_H) */



