/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'****************************************************************************
'****************************************************************************
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// CFmDATATRANSFERStub.h                                             //
'**  '// Language       :   C                                              //
'**  '// Application    :   WACP                                           //
'**  '// Sources        :   MOIB Standard Library                          //
'**  '// AppGen Version :   4.7.4                                          //
'**  '///////////////////////////////////////////////////////////////////////
'****************************************************************************
'**
'**
'****************************************************************************
'****************************************************************************
'**
'*-E************************************************************************/

#if !defined(CFMDATATRANSFERSTUB_H)
    #define  CFMDATATRANSFERSTUB_H

#include "CFmDATATRANSFER.h"
#include "WACP.h"
#include "Common.h"

//*********************************************************************
// The following macros are used to handle application internal error
// codes so as to distinguish them from WACP CERR_PROCLIST error codes.
//*********************************************************************
#define APP_INTERNAL_ERROR_OFFSET           (0x8000)
#define SET_APP_INTERNAL_ERROR_OFFSET(X)    (X |= APP_INTERNAL_ERROR_OFFSET)
#define CLEAR_APP_INTERNAL_ERROR_OFFSET(X)  (X &= ~APP_INTERNAL_ERROR_OFFSET)
#define APP_INTERNAL_ERROR(X)               (X & APP_INTERNAL_ERROR_OFFSET)


boolean CFmDATATRANSFERStub_RecvMsg(const char *pSourceID, uint8 Genus, uint8 Species, uint8* Buffer);
#endif /* #if !defined(CFMDATATRANSFERSTUB_H) */
