/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'****************************************************************************
'****************************************************************************
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// CWACPSemaphore.h:                                                 //
'**  '// Language       :   C++                                            //
'**  '// Application    :   WACP                                           //
'**  '// Sources        :   MOMP Standard Library                          //
'**  '///////////////////////////////////////////////////////////////////////
'*-E************************************************************************/

#if !defined(CWACPSEMAPHORE_H)
    #define  CWACPSEMAPHORE_H

#include "StdVarTyp.h"

#include <windows.h>


class CWACPSemaphore
{
public:

    CWACPSemaphore();
    CWACPSemaphore(TCHAR *pName, uint16 InitCount, uint16 MaxCount);
    ~CWACPSemaphore();
    
    void Raise();
    uint32 Wait(uint32 Timeout);

private:
    HANDLE  hHandle;
};

#endif /* #if !defined(CWACPSEMAPHORE_H) */

/*---------------------------------------------------*/
/* End of File */


