/*-D************************************************************************* 
'*   This program source file is confidential and proprietary property of
'*    Welch Allyn, Inc. Unauthorized use or reproduction is prohibited.
'****************************************************************************
'****************************************************************************
'**
'****************************************************************************
'**  ////////////////////////////////////////////////////////////////////////
'**  '// SysUtil.c      :                                                  //
'**  '// Language       :   C                                              //
'**  '// Application    :   WACP                                           //
'**  '///////////////////////////////////////////////////////////////////////
'*-E************************************************************************/

#include "Target.h"
#include "StdVarTyp.h"
#include "SysUtil.h"

/*
 * Abstractions for C memory allocations functions
 *
 * void *malloc( size_t size );
 * void *calloc( size_t num, size_t size );
 * void free( void *memblock );
 * void *realloc( void *memblock, size_t size );
 */

static uint8 poolBuffer [MAX_PACKET_SIZE];

void *sys_malloc( MEMORY_POOL Pool, size_t Size)
{   
	return poolBuffer;
}

void *sys_calloc( MEMORY_POOL Pool, size_t num, size_t Size)
{
	return poolBuffer;
}

void sys_free( MEMORY_POOL Pool, void *pMemBlock)
{
}

void *sys_realloc( MEMORY_POOL Pool, void *pMemBlock, size_t Size)
{
	return poolBuffer;
}


/* Get ID of currently running process */
int  sys_getpid(void)
{
//	return _getpid();
	return 0;
}


/* Suspend current process/thread/task for a specified time. */
void sys_sleep(unsigned long Msecs)
{
//	Sleep(Msecs);
}


/* Get system time. */
/*time_t sys_time(time_t *pTimer)
{
	return (time_t)time(pTimer);
}
*/

/*
 * Abstractions for C pseudorandom number functions.
 *
 * void srand( unsigned int seed );
 * int rand( void );
 */

/* Set a random starting point. */
/*void sys_srand(unsigned int Seed)
{
	srand(Seed);
}
*/

/* Generate and return a pseudorandom number. */
/*int sys_rand(void)
{
	return(rand());
}
*/

/* Abstraction for printf function*/
int sys_printf(const char *pFormat, ...)
{
	return 0;
}

/* Abstraction for initialization function*/
boolean sys_init(void)
{
	return TRUE;
}

/* Abstraction for destroy function*/
boolean sys_destroy(void)
{
	return TRUE;
}
